<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Livewire\Backend\Adresar\Pages;

use Illuminate\Contracts\View\View;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Livewire\Component;

/**
 * Class Index
 *
 * @package Seka\Portal\Modul\Terminy\Livewire\Backend\Adresar\Pages
 */
final class Index extends Component
{
    use AuthorizesRequests;

    /**
     * @return \Illuminate\Contracts\View\View
     * @throws \Illuminate\Auth\Access\AuthorizationException
     * @throws \Illuminate\Contracts\Container\BindingResolutionException
     */
    public function render(): View
    {
        $this->authorize('terminy');

        return view('Terminy::livewire.backend.adresar.pages.index');
    }
}
